> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export API Mapper

> This API call is designed to retrieve a single API Mapper by ID. <br> <h2>Notice</h2>Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location<li><b>United States (US)</b> - `https://api.us1.plainid.io`</li><li><b>Canada (CA)</b> - `https://api.ca1.plainid.io`</li><li><b>Europe (EU)</b> - `https://api.eu1.plainid.io`</li> <br> <h2>Using HTML Encoded Special Characters</h2> <p>Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this <a href="https://www.w3schools.com/tags/ref_urlencode.ASP" target="_blank">HTML URL Encoding Reference</a> for a full list.</p> <br> <h2>Important note about headers</h2> <p>Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool. </p> <h3>Headers</h3> *Required <table><thead> <tr> <th>Header</th> <th>Value</th> <th>cURL Line</th> </tr></thead> <tbody> <tr> <td>Accept</td> <td>`application/json`</td> <td> `-H "Accept:application/json"`</td> </tr> </tbody> </table>
<h3>cURL Sample Guidelines</h3> <p>In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.</p>

## OpenAPI

````json GET /api/1.0/api-mapper-sets/{envId}/{apiMapperSetId}/mappers/{mapperId}
{
  "openapi": "3.0.3",
  "info": {
    "title": "Management APIs",
    "version": "1.0.0",
    "contact": {
      "name": "PlainID",
      "url": "https://plainid.com",
      "email": "contact@plainid.com"
    },
    "license": {
      "name": "Commercial",
      "url": "https://plainid.com/license"
    },
    "termsOfService": "https://www.plainid.com/terms/",
    "description": "<h3>The PlainID Authorization Platform provides Management capabilities through the APIs below.</h3><h4> To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:<table><thead><tr><th>Region</th><th>Base URL</th></tr></thead><tbody><tr><td>United States (US)</td><td>https://api.us1.plainid.io</td></tr><tr><td>Canada (CA)</td><td>https://api.ca1.plainid.io</td></tr><tr><td>Europe (EU)</td><td>https://api.eu1.plainid.io</td></tr><tr><td>Local PAA</td><td>https://api.plainid.local</td></tr></tbody></table>"
  },
  "servers": [
    {
      "description": "United States",
      "url": "https://api.us1.plainid.io"
    },
    {
      "description": "Europe",
      "url": "https://api.eu1.plainid.io"
    },
    {
      "description": "Canada",
      "url": "https://api.ca1.plainid.io"
    },
    {
      "description": "Local PAA",
      "url": "https://api.plainid.local"
    }
  ],
  "paths": {
    "/api/1.0/api-mapper-sets/{envId}/{apiMapperSetId}/mappers/{mapperId}": {
      "get": {
        "tags": [
          "Api Mapper"
        ],
        "summary": "Export API Mapper",
        "operationId": "exportSingleApiMapper",
        "description": "This API call is designed to retrieve a single API Mapper by ID. <br> <h2>Notice</h2>Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location<li><b>United States (US)</b> - `https://api.us1.plainid.io`</li><li><b>Canada (CA)</b> - `https://api.ca1.plainid.io`</li><li><b>Europe (EU)</b> - `https://api.eu1.plainid.io`</li> <br> <h2>Using HTML Encoded Special Characters</h2> <p>Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this <a href=\"https://www.w3schools.com/tags/ref_urlencode.ASP\" target=\"_blank\">HTML URL Encoding Reference</a> for a full list.</p> <br> <h2>Important note about headers</h2> <p>Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool. </p> <h3>Headers</h3> *Required <table><thead> <tr> <th>Header</th> <th>Value</th> <th>cURL Line</th> </tr></thead> <tbody> <tr> <td>Accept</td> <td>`application/json`</td> <td> `-H \"Accept:application/json\"`</td> </tr> </tbody> </table>\n<h3>cURL Sample Guidelines</h3> <p>In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.</p>",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "parameters": [
          {
            "name": "envId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string",
              "format": "uuid"
            },
            "description": "The Environment ID can be found in the Environment Settings."
          },
          {
            "name": "apiMapperSetId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "description": "API Mapper Set Unique Identifier. This can be found using the <a href=\"https://docs.plainid.io/apidocs/export-api-mapper-set-by-filter\" target=\"_blank\">Export API Mapper Set By Filter call</a>."
          },
          {
            "name": "mapperId",
            "in": "path",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "description": "This can be found in the relevant Application's Mapper section."
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseManagedApiMapperDto"
                },
                "examples": {
                  "exportMapper": {
                    "value": {
                      "data": {
                        "mapperId": "marketing_api_mapper",
                        "displayName": "Marketing API",
                        "isActive": "true",
                        "matchPattern": "/api/marketing/*",
                        "matchType": "WILDCARDS",
                        "restMethods": [
                          "GET",
                          "POST"
                        ],
                        "priority": "10",
                        "isRequireIdentitySourcesFiltering": "false",
                        "assetTemplates": []
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "Not Found"
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ResponseManagedApiMapperDto": {
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/ManagedApiMapperDto"
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "status": {
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "args": {
            "type": "object",
            "properties": {
              "path": {
                "type": "string"
              }
            }
          }
        }
      },
      "ManagedApiMapperDto": {
        "type": "object",
        "properties": {
          "mapperId": {
            "type": "string",
            "pattern": "^[a-zA-Z0-9_:.-]+$",
            "maxLength": "128"
          },
          "displayName": {
            "type": "string",
            "maxLength": "100"
          },
          "description": {
            "type": "string",
            "maxLength": "200"
          },
          "isActive": {
            "type": "boolean"
          },
          "matchPattern": {
            "type": "string"
          },
          "matchType": {
            "type": "string",
            "enum": [
              "EXACT",
              "WILDCARDS",
              "REGEX"
            ]
          },
          "restMethods": {
            "type": "array",
            "items": {
              "type": "string",
              "enum": [
                "GET",
                "POST",
                "PUT",
                "PATCH",
                "DELETE"
              ]
            }
          },
          "priority": {
            "type": "integer",
            "minimum": "1",
            "maximum": "9999"
          },
          "isRequireIdentitySourcesFiltering": {
            "type": "boolean"
          },
          "filteringType": {
            "type": "string",
            "enum": [
              "INCLUDE",
              "EXCLUDE"
            ]
          },
          "identitySourceIds": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "uuid"
            }
          },
          "assetTemplates": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ManagedAssetTemplateApiMappingDto"
            }
          }
        },
        "required": [
          "mapperId",
          "displayName",
          "isActive",
          "matchPattern",
          "matchType",
          "restMethods",
          "priority",
          "isRequireIdentitySourcesFiltering",
          "assetTemplates"
        ]
      },
      "ManagedAssetTemplateApiMappingDto": {
        "type": "object",
        "properties": {
          "templateId": {
            "type": "string"
          },
          "attributes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ManagedAssetTemplateAttributeDto"
            }
          },
          "actions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ManagedAssetTemplateActionDto"
            }
          }
        }
      },
      "ManagedAssetTemplateAttributeDto": {
        "type": "object",
        "properties": {
          "attributeId": {
            "type": "string"
          },
          "source": {
            "type": "string",
            "enum": [
              "BODY",
              "HEADER",
              "PATH",
              "URI_REGEX",
              "QUERY"
            ]
          },
          "path": {
            "type": "string"
          }
        }
      },
      "ManagedAssetTemplateActionDto": {
        "type": "object",
        "properties": {
          "actionId": {
            "type": "string"
          },
          "source": {
            "type": "string",
            "enum": [
              "BODY",
              "HEADER",
              "METHOD",
              "PATH",
              "URI_REGEX",
              "QUERY"
            ]
          },
          "value": {
            "type": "string"
          },
          "path": {
            "type": "string"
          }
        }
      }
    }
  }
}
````

